local f = CreateFrame("frame")
local lastTabard = ""
local factionList = {}

tabardList = {
	[65904] = "Ramkahen",			--Cata
	[65909] = "Dragonmaw Clan",
	[65905] = "The Earthen Ring",
	[65906] = "Guardians of Hyjal",
	[65908] = "Wildhammer Clan",
	[65907] = "Therazane",
	[43154] = "Argent Crusade",		--WotLK
	[43155] = "The Knights of the Ebon Blade",
	[43157] = "Kirin Tor",
	[43156] = "The Wyrmrest Accord",
	[45574] = "Stormwind",			--Race
	[45577] = "Ironforge",
	[45578] = "Gnomeregan",
	[45579] = "Darnassus",
	[45580] = "Exodar",
	[45581] = "Orgrimmar",
	[45582] = "Darkspear Trolls",
	[45583] = "Undercity",
	[45584] = "Thunder Bluff",
	[45585] = "Silvermoon City",
	[64882] = "Gilneas",			--Cata races
	[64884] = "Bilgewater Cartel",
    [83080] = "Huojin Pandaren",	--MoP races    
	[83079] = "Tushui Pandaren",
	[69209] = "Guild",				--Illustrious Guild Tabard
	[69210] = "Guild",				--Renowned Guild Tabard
}

DEFAULT_CHAT_FRAME:AddMessage("|cFFFF00FFTabardRep - Loaded.|r")

f:RegisterEvent("PLAYER_EQUIPMENT_CHANGED")

f:SetScript("OnEvent", function(self, event, ...)
	if event == ("PLAYER_EQUIPMENT_CHANGED") then
		local tabard = GetInventoryItemID("player",19)
		if tabard and ( tabard ~= lastTabard ) and tabardList[tabard] then --you've equipped a listed tabard
			ExpandAllFactionHeaders()
			for x = 1, GetNumFactions() do
				factionList[x] = GetFactionInfo(x)
			end
			
			if tabardList[tabard] == "Guild" and IsInGuild() then
				guildName = GetGuildInfo("player")
				faction=guildName
			else
				faction = tabardList[tabard]
			end

			for i, v in pairs(factionList) do
				if v == faction then
					SetWatchedFactionIndex(i)
				end
			end
			lastTabard = tabard
		elseif not tabard and ( lastTabard ~= "" ) and tabardList[lastTabard] then --you've unequipped a listed tabard
			SetWatchedFactionIndex(0)
			lastTabard = ""
		end
	end
end
)
